package com.ruoyi.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 审查场景变更日志
 * @TableName t_review_scene_change_log
 */
@TableName(value ="t_review_scene_change_log")
@Accessors(chain = true)
@Data
public class ReviewSceneChangeLog {
    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 任务编号
     */
    private String no;

    /**
     * 章节
     */
    private String chapter;

    /**
     * 审查标准
     */
    private String standard;

    /**
     * 审查要点
     */
    private String keypoint;

    /**
     * 审查细则
     */
    private String details;

    /**
     * 操作（INIT ADD DELETE UPDATE）
     */
    private String operation;

    /**
     * 当 operation 为 ADD 时该字段为空
     */
    private String oldText;

    /**
     * 当 operation 为 DELETE 时该字段为空
     */
    private String newText;

    /**
     * 任务发起人姓名
     */
    private String taskInitiator;

    /**
     * 任务发起人岗位
     */
    private String taskInitiatorOrg;

    /**
     * 任务发起人部门
     */
    private String taskInitiatorDept;

    /**
     * 任务状态（NEW、RUNNING、FINISH、CLOSE）
     */
    private String taskStatus;

    /**
     * 任务结果（PASS、RJECT）
     */
    private String taskResult;

    /**
     * 任务开始时间
     */
    private Date taskBeginTime;

    /**
     * 任务结束时间
     */
    private Date taskEndTime;

    /**
     * 任务审批人列表
     */
    private String taskApprover;

    /**
     * 任务备注
     */
    private String taskRemark;

    /**
     * 关联场景id
     */
    private Long reviewSceneId;

    /**
     * 数据创建时间
     */
    private Date createTime;

}